Revoke All My Sessions
DELETE
/api/api/me/sessions
const url = 'https://example.com/api/api/me/sessions';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/api/me/sessions \ --header 'Authorization: Bearer <token>'Revoke all active sessions for the current user.
This includes the current session — the user will be logged out immediately upon the next request. To log out only other devices, use DELETE /api/me/sessions/{id} for each specific session ID.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
RevokeAllOtherSessionsResponse
object
revoked
required
Revoked
integer
Example generated
{ "revoked": 1}